<?php
@session_start();

const _GetDomain 			= 'https://camperspatagonia.cl/';

$titulo_pagina = "Campers patagonia";
$pie_pagina = "Copyright  &copy; 2024 CAMPERS PATAGONIA, All rights reserved.";

function getVehiculos($mysqli){
    $rs = $mysqli->query("select * from tb_vehiculos where id_vehiculo > 0 and publicado='1' order by id_vehiculo desc");
    return $rs;
}
function getAllVehiculos($mysqli){
    $rs = $mysqli->query("select * from tb_vehiculos where id_vehiculo > 0 order by id_vehiculo desc");
    return $rs;
}
function getVehiculosById($mysqli, $id){
    $rs = $mysqli->query("select * from tb_vehiculos where id_vehiculo > 0  and id_vehiculo = '$id'  and publicado='1'");
    return $rs;
}
function getAllVehiculosById($mysqli, $id){
    $rs = $mysqli->query("select * from tb_vehiculos where id_vehiculo > 0  and id_vehiculo = '$id'");
    return $rs;
}
function getReservas($mysqli){
    $rs = $mysqli->query("select * from tb_reservas order by id_reserva desc");
    return $rs;
}
function getAllUsuarios($mysqli){
    $rs = $mysqli->query("select * from tb_usuarios where id_usuario > 0 order by nombres");
    return $rs;
}
function getUsuarioById($mysqli, $id){
    $rs = $mysqli->query("select * from tb_usuarios where id_usuario = '$id'");
    return $rs;
}
function saber_dia($nombredia) {
	$dias = array('','Domingo','Lunes','Martes','Miercoles','Jueves','Viernes','Sabado');
	$fecha = $dias[date('N', strtotime($nombredia))];
	if ($fecha=="Domingo"){
		$dia = 7;
	}
	if ($fecha=="Lunes"){
		$dia = 1;
	}
	if ($fecha=="Martes"){
		$dia = 2;
	}
	if ($fecha=="Miercoles"){
		$dia = 3;
	}
	if ($fecha=="Jueves"){
		$dia = 4;
	}
	if ($fecha=="Viernes"){
		$dia = 5;
	}
	if ($fecha=="Sabado"){
		$dia = 6;
	}	
	echo $dia;
}
function getFotos($mysqli){
    $rs = $mysqli->query("select * from tb_fotos_gale order by id_serial desc");
    return $rs;
}



function eliminar_tildes($cadena){

    //Codificamos la cadena en formato utf8 en caso de que nos de errores
    //$cadena = utf8_encode($cadena);

    //Ahora reemplazamos las letras
    $cadena = str_replace(
        array('á', 'à', 'ä', 'â', 'ª', 'Á', 'À', 'Â', 'Ä'),
        array('a', 'a', 'a', 'a', 'a', 'A', 'A', 'A', 'A'),
        $cadena
    );

    $cadena = str_replace(
        array('é', 'è', 'ë', 'ê', 'É', 'È', 'Ê', 'Ë'),
        array('e', 'e', 'e', 'e', 'E', 'E', 'E', 'E'),
        $cadena );

    $cadena = str_replace(
        array('í', 'ì', 'ï', 'î', 'Í', 'Ì', 'Ï', 'Î'),
        array('i', 'i', 'i', 'i', 'I', 'I', 'I', 'I'),
        $cadena );

    $cadena = str_replace(
        array('ó', 'ò', 'ö', 'ô', 'Ó', 'Ò', 'Ö', 'Ô'),
        array('o', 'o', 'o', 'o', 'O', 'O', 'O', 'O'),
        $cadena );

    $cadena = str_replace(
        array('ú', 'ù', 'ü', 'û', 'Ú', 'Ù', 'Û', 'Ü'),
        array('u', 'u', 'u', 'u', 'U', 'U', 'U', 'U'),
        $cadena );

    $cadena = str_replace(
        array('ñ', 'Ñ', 'ç', 'Ç'),
        array('n', 'N', 'c', 'C'),
        $cadena
    );

	$cadena = str_replace(
        array("'"),
        array(' '),
        $cadena
    );
	$cadena = str_replace(
        array("/",'º'),
        array(' ',' '),
        $cadena
    );

    return $cadena;
}

?>